Bug 75939 - TB Conf.py:483:keys
TB Conf.py:483:keys
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rhpl (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-15 02:00 EDT by aaathens
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-30 11:16:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description aaathens 2002-10-15 02:00:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When I try to make ANY changes to my eth0 device, it crashes with the added
traceback.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start Network Configuration app
2.Make any changes
3.Try to 'Apply'
4.Crashes
	

Actual Results:  Get dialog box with added traceback output.  

Additional info:

An unhandled exception has occured.

Traceback (most recent call last):
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 320, in save
    self.saveProfiles()
  File "/usr/sbin/neat", line 336, in saveProfiles
    profilelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py",
line 300, in save
    for i in hoconf.keys():
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 483, in keys
    keys.append(var[1])
IndexError: list index out of range

Note You need to log in before you can comment on or make changes to this bug.